Skip to content

GET Cloud Connect.

GET
/api/config/namespaces/{namespace}/cloud_connects/{name}
curl --request GET \
--url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/cloud_connects/example?response_format=GET_RSP_FORMAT_DEFAULT' \
--header 'Authorization: <Authorization>'

Shape of the Cloud Connect specification.

Examples of this operation.

namespace
required
string

Namespace The namespace in which the configuration object is present.

name
required
string

Name The name of the configuration object to be fetched.

response_format
string
default: GET_RSP_FORMAT_DEFAULT
Allowed values: GET_RSP_FORMAT_DEFAULT GET_RSP_FORMAT_FOR_CREATE GET_RSP_FORMAT_FOR_REPLACE GET_RSP_FORMAT_STATUS GET_RSP_FORMAT_READ GET_RSP_FORMAT_REFERRING_OBJECTS GET_RSP_FORMAT_BROKEN_REFERENCES

The format in which the configuration object is to be fetched. This could be for example

  • in GetSpec form for the contents of object
  • in CreateRequest form to create a new similar object
  • to ReplaceRequest form to replace changeable values

Default format of returned resource Response should be in CreateRequest format Response should be in ReplaceRequest format Response should be in StatusObject(s) format Response should be in format of GetSpecType Response should have other objects referring to this object Response should have deleted and disabled objects referrred by this object.

A successful response.

Media typeapplication/json
GetResponse is the shape of a read cloud_connect

This is the output message of the ‘GET’ RPC.

object
create_form
object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
aws_tgw_site
object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
azure_vnet_site
object
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vnet_attachments
object
vnet_list
vnet_list

Collection of items or values

Array<object>
<= 128 items
Azure VNET attachment
object
custom_routing
object
route_tables
List of route tables with static routes

Route Tables with static routes

Required: YES.

Array<object>
>= 1 items <= 200 items
Azure Route Table

Azure Route Table with Static Route.

object
route_table_id
Route table ID

Route table ID in the format //

string
<= 256 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID in the format //

Array<string>
labels
Labels

Add labels for the VNet attachments. These labels can then be used in policies such as enhanced firewall policies.

object
manual_routing
object
subscription_id
Subscription ID

Enter the Subscription ID of the VNet to be attached

Required: YES.

string
<= 64 characters
vnet_id
VNET ID

Enter the VNet ID of the VNet to be attached in format //

Required: YES.

string
<= 256 characters
segment
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
aws_provider
object
aws_tgw_site
object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
deleted_referred_objects
deleted_referred_objects

The set of deleted objects that are referred by this object.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
disabled_referred_objects
disabled_referred_objects

The set of deleted objects that are referred by this object.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
referring_objects
referring_objects

The set of objects that are referring to this object in their spec.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
replace_form
object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
aws_tgw_site
object
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
azure_vnet_site
object
vnet_attachments
object
vnet_list
vnet_list

Collection of items or values

Array<object>
<= 128 items
Azure VNET attachment
object
custom_routing
object
route_tables
List of route tables with static routes

Route Tables with static routes

Required: YES.

Array<object>
>= 1 items <= 200 items
Azure Route Table

Azure Route Table with Static Route.

object
route_table_id
Route table ID

Route table ID in the format //

string
<= 256 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID in the format //

Array<string>
labels
Labels

Add labels for the VNet attachments. These labels can then be used in policies such as enhanced firewall policies.

object
manual_routing
object
subscription_id
Subscription ID

Enter the Subscription ID of the VNet to be attached

Required: YES.

string
<= 64 characters
vnet_id
VNET ID

Enter the VNet ID of the VNet to be attached in format //

Required: YES.

string
<= 256 characters
aws_provider
object
aws_tgw_site
object
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
spec
object
aws_tgw_site
object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
peers
Peers

Configuration parameter for peers

Array<object>
Peer

List of peer node and GRE tunnel configuration.

object
inside_gre_subnet
Inside GRE Subnet

Configuration parameter for inside gre subnet

string
<= 1024 characters
node
object
address
object
ipv4
object
addr
IPv4 Address

IPv4 Address in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
addr
IPv6 Address

IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’

string
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
peer_asn
Peer ASN

Configuration parameter for peer asn

string format: int64
<= 1024 characters
tgw_address
TGW Address

Network address or location

string
<= 1024 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
azure_vnet_site
object
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vnet_attachments
object
vnet_list
vnet_list

Collection of items or values

Array<object>
<= 128 items
Azure VNET attachment
object
custom_routing
object
route_tables
List of route tables with static routes

Route Tables with static routes

Required: YES.

Array<object>
>= 1 items <= 200 items
Azure Route Table

Azure Route Table with Static Route.

object
route_table_id
Route table ID

Route table ID in the format //

string
<= 256 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID in the format //

Array<string>
labels
Labels

Add labels for the VNet attachments. These labels can then be used in policies such as enhanced firewall policies.

object
manual_routing
object
subscription_id
Subscription ID

Enter the Subscription ID of the VNet to be attached

Required: YES.

string
<= 64 characters
vnet_id
VNET ID

Enter the VNet ID of the VNet to be attached in format //

Required: YES.

string
<= 256 characters
segment
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
state
string
default: DOWN
Allowed values: DOWN DEGRADED UP
aws_provider
object
aws_tgw_site
object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
peers
Peers

Configuration parameter for peers

Array<object>
Peer

List of peer node and GRE tunnel configuration.

object
inside_gre_subnet
Inside GRE Subnet

Configuration parameter for inside gre subnet

string
<= 1024 characters
node
object
address
object
ipv4
object
addr
IPv4 Address

IPv4 Address in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
addr
IPv6 Address

IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’

string
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
peer_asn
Peer ASN

Configuration parameter for peer asn

string format: int64
<= 1024 characters
tgw_address
TGW Address

Network address or location

string
<= 1024 characters
site
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
status
status

The status reported by different services for this configuration object.

Array<object>
>= 17 characters <= 17 characters
Status for Cloud Connect

Most recently observed status of object.

object
cloud_connect_status
object
cloud_connect_aws_site
object
attachment_status
AWS VPC Attachment Status Type

AWS Attachment Status Type.

Array<object>
AWS VPC Attachment Status Type

AWS Attachment Status Type.

object
association_route_table_id
Association route table ID

Association route table ID.

string
<= 1024 characters
association_state
Association state

Transit Gateway route table association state.

string
<= 1024 characters
creation_time
Attachment Creation Time

Attachment Creation Time.

string format: date-time
<= 1024 characters
deployment_status
Additional VPC attachment deployment status

Additional VPC attachment deployment status.

string
<= 1024 characters
installed_routes
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
subnets
Subnets

Network Interfaces created along with the attachment.

Array<object>
SubnetStatusType for AWS VPC Attachment

Network Interface Status.

object
availability_zone
Availability Zone x-displayName: "Availability Zone"

Availability Zone.

string
<= 1024 characters
interface_type
Interface Type x-displayName: "Interface Type"

Interface Type.

string
<= 1024 characters
network_interface_id
Network Interface ID

Network Interface ID.

string
<= 1024 characters
private_ipv4_address
Private IPV4 Address x-displayName: "Private IPV4 Address"

Private IPv4 Address.

string
<= 1024 characters
status
Status x-displayName: "Status"

Status

string
>= 17 characters <= 1024 characters
subnet_id
Subnet ID x-displayName: "Subnet ID"

Subnet ID

string
<= 1024 characters
tags
Attachment Tags

Attachment Tags.

object
tgw_attachment_id
TGW Attachment ID

TGW Attachment ID.

string
<= 1024 characters
tgw_attachment_name
TGW Attachment Name

TGW Attachment Name.

string
<= 1024 characters
vpc_cidr
VPC CIDR

VPC CIDR

string
<= 1024 characters
vpc_deployment_state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
vpc_id
VPC ID

VPC ID

string
<= 1024 characters
vpc_name
VPC Name

VPC Name

string
<= 1024 characters
vpc_owner_id
VPC Owner Account

VPC Owner Account.

string
<= 1024 characters
connect_attachment_status
AWS Connect Attachment Status Type

AWS Connect Attachment Status Type.

Array<object>
<= 1 items
AWS Connect Attachment Status Type

AWS Connect Attachment Status Type.

object
association_route_table_id
Association route table ID

Association route table ID.

string
<= 1024 characters
association_state
Association state

Transit Gateway route table association state.

string
<= 1024 characters
connect_deployment_state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
deployment_status
Deployment Status

Additional information related to the connect attachment deployment.

string
<= 1024 characters
peers
Connect Peers

Connect Peers.

Array<object>
AWS Connect Peer Status Type

AWS Connect Peer Status Type.

object
connect_attachment_id
Connect attachment ID

Connect attachment ID.

string
<= 1024 characters
connect_peer_deployment_state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
connect_peer_id
Connect Peer ID

Connect Peer ID.

string
<= 1024 characters
deployment_status
Deployment Status

Additional information related to the connect peer attachment deployment.

string
<= 1024 characters
name
Connect Peer Name

Connect Peer Name.

string
>= 6 characters <= 1024 characters
tags
Connect Peer Tags

Connect Peer Tags.

object
peer_gre_address
Peer GRE Address

Network address or location

string
<= 1024 characters
transit_gateway_gre_address
Transit Gateway GRE Address

Network address or location

string
<= 1024 characters
protocol
Connect protocol

Connect protocol.

string
<= 1024 characters
tags
Attachment Tags

Attachment Tags.

object
transit_gateway_asn
Transit Gateway ASN

Transit Gateway ASN.

string
<= 1024 characters
transit_gateway_attachment_id
Transit Gateway Attachment ID

Transit Gateway Attachment ID.

string
<= 1024 characters
transit_gateway_attachment_name
Transit Gateway Attachment Name

Transit Gateway Attachment Name.

string
<= 1024 characters
transit_gateway_id
Transit Gateway ID

Transit Gateway ID.

string
<= 1024 characters
transport_attachment_id
Transport attachment ID

Transport attachment ID.

string
<= 1024 characters
tgw_route_table_status
AWS Transit Gateway Route Table Status Type

AWS Transit Gateway Route Table Status Type.

Array<object>
<= 2 items
AWS Transit Gateway Route Table Status Type

AWS Transit Gateway Route Table Status Type.

object
associations
Assciations

Associations.

Array<object>
AWS Transit Gateway Route Table Associations

AWS Transit Gateway Route Table Associations.

object
attachment_id
Attachment ID

Attachment ID.

string
<= 1024 characters
deployment_status
Deployment Status

Additional information related to the TGW routing.

string
<= 1024 characters
resource_id
Resource ID

Resource ID.

string
<= 1024 characters
resource_type
Resource type

Resource type.

string
<= 1024 characters
state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
deployment_status
Deployment Status

Additional information related to the TGW routing.

string
<= 1024 characters
propagations
Propagations

Propagations.

Array<object>
AWS Transit Gateway Route Table Associations

AWS Transit Gateway Route Table Associations.

object
attachment_id
Attachment ID

Attachment ID.

string
<= 1024 characters
deployment_status
Deployment Status

Additional information related to the TGW routing.

string
<= 1024 characters
resource_id
Resource ID

Resource ID.

string
<= 1024 characters
resource_type
Resource type

Resource type.

string
<= 1024 characters
state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
tags
Attachment Tags

Attachment Tags.

object
tgw_rt_deployment_state
string
default: AVAILABLE
Allowed values: AVAILABLE PENDING FAILED DELETED DELETING INITIATED
transit_gateway_id
Transit Gateway ID

Transit Gateway ID.

string
<= 1024 characters
transit_gateway_route_table_id
Transit gateway route table ID

Transit gateway route table ID.

string
<= 1024 characters
transit_gateway_route_table_name
Transit gateway route table Name

Transit gateway route table Name.

string
<= 1024 characters
cloud_connect_azure_site
object
attachment_status
Azure spoke Attachment Status Type

Azure spoke Attachment Status Type.

Array<object>
Azure Attachment Status Type

Azure Attachment Status Type.

object
deployment_status
Attachment Deployment Status

Attachment Deployment Status.

string
<= 1024 characters
hub_owner_subscriptionid
Hub Owner subscription

Hub Owner Subscription.

string
<= 1024 characters
hub_vnet_name
Hub VNET Name

Hub VNet Name.

string
<= 1024 characters
hub_vnet_resource_group
Hub VNET Resource Group

Hub VNet Resource Group.

string
<= 1024 characters
installed_routes
object
route_tables
List of route tables with static routes

Route Tables with static routes

Required: YES.

Array<object>
>= 1 items <= 200 items
Azure Route Table

Azure Route Table with Static Route.

object
route_table_id
Route table ID

Route table ID in the format //

string
<= 256 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
peering_state
Hub VNET Peering state

Hub VNet Peering state.

string
<= 1024 characters
peering_sync_level
Hub VNET peering sync level

Hub VNet peering sync level.

string
<= 1024 characters
provisioning_state
Hub VNET Provisioning state

Hub VNet Provisioning state.

string
<= 1024 characters
spoke_subscription_id
VNET subscription

VNet Subscription.

string
<= 1024 characters
spoke_vnet_id
Spoke VNET ID

Spoke VNet ID.

string
<= 1024 characters
subnets
Subnets

Network Interfaces created along with the attachment.

Array<object>
SubnetStatusType for AWS VPC Attachment

Network Interface Status.

object
availability_zone
Availability Zone x-displayName: "Availability Zone"

Availability Zone.

string
<= 1024 characters
interface_type
Interface Type x-displayName: "Interface Type"

Interface Type.

string
<= 1024 characters
network_interface_id
Network Interface ID

Network Interface ID.

string
<= 1024 characters
private_ipv4_address
Private IPV4 Address x-displayName: "Private IPV4 Address"

Private IPv4 Address.

string
<= 1024 characters
status
Status x-displayName: "Status"

Status

string
>= 17 characters <= 1024 characters
subnet_id
Subnet ID x-displayName: "Subnet ID"

Subnet ID

string
<= 1024 characters
tags
Attachment Tags

Attachment Tags.

object
vnet_attachment_id
VNET Attachment ID

VNet Attachment ID.

string
<= 1024 characters
vnet_cidr
VNET CIDR

VNet CIDR

string
<= 1024 characters
conditions
conditions

Conditions reported by various component of the system.

Array<object>
ConditionType

Conditions are used in the object status to describe the current state of the object, e.g. Ready, Succeeded, etc.

object
hostname
hostname

Hostname of the instance of the site that sent the status.

string
<= 1024 characters
last_update_time
last_update_time

Last time the condition was updated.

string format: date-time
<= 1024 characters
reason
reason

X-reason: “Insufficient memory in data plane” A human readable string explaining the reason for reaching this condition.

string
>= 27 characters <= 1024 characters
service_name
service name

Name of the service that sent the status.

string
<= 1024 characters
status
status

Status of the condition “Success” Validtion has succeded. Requested operation was successful. “Failed” Validation has failed. “Incomplete” Validation of configuration has failed due to missing configuration. “Installed” Validation has passed and configuration has been installed in data path or K8s “Down” Configuration is operationally down. E.g. Down interface “Disabled” Configuration is administratively disabled i.e. objectmetatype.disable = true. “NotApplicable” Configuration is not applicable e.g. Tenant service_policy_set(s) in system namespace are not applicable on REs.

string
>= 17 characters <= 1024 characters
type
type

Type of the condition “Validation” represents validation user given configuration object “Operational” represents operational status of a given configuration object.

string
<= 1024 characters
metadata
object
creation_timestamp
creation_timestamp

Creation_timestamp is when the status object was created. It is used to find/tie-break for latest status object from same origin.

string format: date-time
<= 1024 characters
creator_class
creator_class

Class of creator which created this StatusObject. This will be service’s DNS FQDN. This will be set by the system based on client certificate information.

string
<= 1024 characters
creator_id
creator_id

ID of creator which created this StatusObject. This will be a concrete identifier for service (e.g. Identifying the environment also). This will be set by the system based on client certificate information.

string
<= 1024 characters
publish
string
default: STATUS_DO_NOT_PUBLISH
Allowed values: STATUS_DO_NOT_PUBLISH STATUS_PUBLISH
status_id
status_id

Status_id is a field used by the generator to distinguish (if necessary) between two status objects for the same config object from the same site and same service and potentially same daemon(creator-ID)

string
<= 1024 characters
uid
uid

Uid is the unique in time and space value for a StatusObject.

string format: uuid
>= 36 characters <= 1024 characters
vtrp_id
vtrp_id

Origin of this status exchanged by VTRP.

string
<= 1024 characters
vtrp_stale
vtrp_stale

Indicate whether mars deems this object to be stale via graceful restart timer information.

boolean format: boolean
object_refs
object_refs

Reference to object for current status.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
system_metadata
object
creation_timestamp
creation_timestamp

CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.

string format: date-time
<= 1024 characters
creator_class
creator_class

A value identifying the class of the user or service which created this configuration object.

string
<= 1024 characters
creator_id
creator_id

A value identifying the exact user or service that created this configuration object.

string
<= 1024 characters
deletion_timestamp
deletion_timestamp

DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.

Populated by the system when a graceful deletion is requested. Read-only.

string format: date-time
<= 1024 characters
finalizers
finalizers

Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.

Array<string>
initializers
object
pending
pending

Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.

Array<object>
InitializerType

Initializer is information about an initializer that has not yet completed.

object
name
name

Name of the service that is responsible for initializing this object.

string
>= 6 characters <= 1024 characters
result
object
code
code

Suggested HTTP return code for this status, 0 if not set.

integer format: int32
reason
reason

A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.

string
>= 27 characters <= 1024 characters
status
status

Status of the operation. One of: “Success” or “Failure”.

string
>= 17 characters <= 1024 characters
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).

object
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this object was last modified.

string format: date-time
<= 1024 characters
object_index
object_index

Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.

integer format: int64
owner_view
object
kind
kind

Kind of the view object.

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
uid
uid

UID of the view object.

string format: uuid
>= 36 characters <= 1024 characters
tenant
tenant

Tenant to which this configuration object belongs to. The value for this is found from presented credentials.

string
>= 6 characters <= 1024 characters
uid
uid

Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.

string format: uuid
>= 36 characters <= 1024 characters
Example
{
"spec": {
"state": "DOWN"
},
"status": [
{
"cloud_connect_status": {
"cloud_connect_aws_site": {
"attachment_status": [
{
"vpc_deployment_state": "AVAILABLE"
}
],
"connect_attachment_status": [
{
"connect_deployment_state": "AVAILABLE",
"peers": [
{
"connect_peer_deployment_state": "AVAILABLE"
}
]
}
],
"tgw_route_table_status": [
{
"associations": [
{
"state": "AVAILABLE"
}
],
"propagations": [
{
"state": "AVAILABLE"
}
],
"tgw_rt_deployment_state": "AVAILABLE"
}
]
}
},
"metadata": {
"publish": "STATUS_DO_NOT_PUBLISH"
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example